﻿# Script um den T2Med Client auf einen USB Stick zu kopieren oder bei Bedarf
# vom USB Stick auf den Server zurück
#################
# Author JaRuest
# Version 0.2
# Download / Quelle unter http://i-k-t-s.de
############

# Festlegen von festen Variablen
$OrtPC = $env:LOCALAPPDATA

# Definition von Variablen, die während des Scriptes benötigt werden
$DatumKopie = Get-Date -Format yyyyMMddHHmm
$Stick = Get-WmiObject Win32_Volume -Filter "DriveType='2'" | Select Driveletter, Label

# Auswahl ob auf den USB Stick geschrieben werden soll
# oder vom USB Stick auf den PC

# Einmal das Anzeigefenster bereinigen
cls

Write-Host "Bitte entscheiden Sie, ob Sie die Daten"
Write-Host "1 - Den T2 Med Client auf den USB Stick kopieren wollen"
Write-Host "2 - Den T2 Med Client auf den PC zurückspielen wollen"
$WAS = Read-Host "Bitte wählen Sie die Funktion aus"
Write-Host ""

If ($WAS -eq "1") {
            $OrtPC += "\T2Med"
            # Daten vom PC zum USB Stick
            # Frage an welcher Stelle der USB Stick zu finden ist
            # Auflistung aller USB Laufwerke
            Write-Host "Die Daten im Verzeichnis T2Med auf dem Stick werden überschrieben" 
            Write-Host "Die folgenden USB Sticks wurden erkannt"
            Write-Host ""
            Write-Host "Laufwerksbuchstabe, Label"
            $Stick | ForEach-Object {
                Write-Host $_.Driveletter , $_.Label
                }
            Write-Host ""

            # Einlesen des USB Sticks 
            $OrtStick = Read-Host "Bitte den Laufwerksbuchstaben des USB Sticks angeben inkl Doppelpunkt, F: als Beispiel"
            
            # Die Daten werden auf den USB Stick kopiert
            Copy-Item -Path $OrtPC\jars -Destination $OrtStick\t2med\jars -Recurse -Force
            Copy-Item -Path $OrtPC\java_vm -Destination $OrtStick\t2med\java_vm -Recurse -Force
            Copy-Item -Path $OrtPC\digest.txt -Destination $OrtStick\t2med\
            Copy-Item -Path $OrtPC\getdown.txt -Destination $OrtStick\t2med\
            Read-Host "Daten wurden kopiert, mit beliebiger Taste endet das Script"
            Break
}

IF ($was -eq "2") {
            # Vom Stick auf den PC
            # Frage an welcher Stelle der USB Stick zu finden ist
            # Auflistung aller USB Laufwerke
            Write-Host "Die Daten im Verzeichnis T2Med auf dem PC werden überschrieben" 
            Write-Host "Die folgenden USB Sticks wurden erkannt"
            Write-Host ""
            Write-Host "Laufwerksbuchstabe, Label"
            $Stick | ForEach-Object {
                Write-Host $_.Driveletter , $_.Label
                }
            Write-Host ""

            # Einlesen des USB Sticks 
            $OrtStick = Read-Host "Bitte den Laufwerksbuchstaben des USB Sticks angeben inkl Doppelpunkt, F: als Beispiel"
            Copy-Item -Path $OrtStick\T2Med -Destination $OrtPC -Recurse -Force
            Read-Host "Daten wurden kopiert, mit beliebiger Taste endet das Script"
            Break
}
